=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2007-11-02 22:08:54 +0000
+++ tests/test_commit.py	2008-05-04 13:11:26 +0000
@@ -411,22 +411,22 @@
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
                                     diff_buffer.get_end_iter()).splitlines(True)
 
-        self.assertEqual("=== removed file 'b'\n", text[0])
+        self.assertEqual("=== modified file 'a'\n", text[0])
         self.assertContainsRe(text[1],
-            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[2])
-        self.assertEqual('@@ -1,1 +0,0 @@\n', text[3])
-        self.assertEqual('-contents of tree/b\n', text[4])
-        self.assertEqual('\n', text[5])
-
-        self.assertEqual("=== modified file 'a'\n", text[6])
-        self.assertContainsRe(text[7],
             r"--- a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertContainsRe(text[2],
+            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('@@ -1,1 +1,1 @@\n', text[3])
+        self.assertEqual('-contents of tree/a\n', text[4])
+        self.assertEqual('+new contents for a\n', text[5])
+        self.assertEqual('\n', text[6])
+
+        self.assertEqual("=== removed file 'b'\n", text[7])
         self.assertContainsRe(text[8],
-            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('@@ -1,1 +1,1 @@\n', text[9])
-        self.assertEqual('-contents of tree/a\n', text[10])
-        self.assertEqual('+new contents for a\n', text[11])
+            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[9])
+        self.assertEqual('@@ -1,1 +0,0 @@\n', text[10])
+        self.assertEqual('-contents of tree/b\n', text[11])
         self.assertEqual('\n', text[12])
 
         self.assertEqual('Diff for All Files', dlg._diff_label.get_text())

